@handler-width: 12px;

.step-list-element {
  background-color: var(--container-background-color);
  border-radius: 5px;
  min-height: 40px;
  margin-top: 5px;
  margin-bottom: 5px;

  &:hover {
    ::ng-deep .step-list-element-buttons {
      display: inline-block;
    }

    ::ng-deep .action-resize-handler {
      display: inline;
    }

    .dnd-handler {
      display: block;
    }

    .arrow-sup,
    .arrow-down {
      display: block;
    }

    .index-column {
      justify-content: space-between;
    }
  }

  // if a selection is active, all unselected step have their buttons and handlers inactivated
  &.placeholder:hover,
  &.disabled:hover {
    ::ng-deep .step-list-element-buttons {
      display: none;
    }

    .dnd-handler {
      display: none;
    }

    .arrow-sup,
    .arrow-down {
      display: none;
    }

    .index-column {
      justify-content: center;
    }
  }

  // collapsed, we have no arrows but we keep dnd handler, and buttons
  &.collapsed:hover {
    .arrow-sup,
    .arrow-down {
      display: none;
    }

    .index-column {
      justify-content: center;
    }
  }

  // no write permissions, we have no arrows no dnd handler but we keep buttons
  &.read-only:hover {
    .arrow-sup,
    .arrow-down {
      display: none;
    }

    .index-column {
      justify-content: center;
    }

    .dnd-handler {
      display: none;
    }
  }

  &.border-selected {
    border-color: var(--current-workspace-main-color) !important;
  }
}

.step-order-cartridge {
  align-self: center;
  justify-content: center;
}

.dnd-handler {
  width: @handler-width;
  height: 100%;
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/img/generic/dot.svg');
  background-repeat: repeat-y;
  display: none;
  &:hover {
    cursor: grab;
  }
}

::ng-deep .action-resize-handler {
  height: 20px;
  width: 10px;
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/img/generic/dot.svg');
  background-repeat: repeat-y;
  float: right;
  display: none;

  &:hover {
    cursor: col-resize;
  }
}

.index-column {
  width: 35px;
  justify-content: center;
  align-items: center;
}

.index-typography {
  user-select: none;
  font-size: 20px;
  font-weight: 600;
  color: var(--label-color);

  &:hover {
    cursor: pointer;
  }
}

.index-typography.selected {
  color: var(--current-workspace-main-color);
}

.arrow {
  color: var(--gray-accented-color);
  font-size: 12px;

  &:hover {
    cursor: pointer;
  }
}

.arrow-sup {
  transform: rotate(-0.25turn);
  display: none;
}

.arrow-down {
  transform: rotate(0.25turn);
  display: none;
}

.dnd-handler-wrapper {
  width: @handler-width;
}

.placeholder {
  background-color: var(--label-color);
  border: 1px dashed var(--container-border-color);
}

.neutral-border {
  border: solid 1px var(--container-border-color);
}
